path = src/use_cases/seba_on_arm/src_repo/pushgateway
url = https://github.com/iecedge/pushgateway.git
branch = v0.5.2-arm64v8
+[submodule "freeradius"]
+ path = src/use_cases/seba_on_arm/src_repo/freeradius
+ url = https://github.com/iecedge/freeradius.git
+[submodule "voltha"]
+ path = src/use_cases/seba_on_arm/src_repo/voltha
+ url = https://github.com/iecedge/voltha.git
+ branch = jglr_move_to_cachengo_infra
--- /dev/null
+#!/usr/bin/env bash
+
+# This script builds the freeradius docker image
+set -o errexit
+set -o xtrace
+
+#cd $FREERADIUS_PATH
+
+#building freeradius docker image
+docker build -t iecedge/freeradius_arm64:2.2.8 .
--- /dev/null
+#!/usr/bin/env bash
+
+# This script builds the voltha docker images
+set -o errexit
+set -o xtrace
+
+#cd $VOLTHA_PATH
+
+#building voltha docker images
+VOLTHA_BUILD=docker make seba
+docker tag voltha-voltha:latest iecedge/voltha-voltha_arm64:1.6.0
+docker tag voltha-cli:latest iecedge/voltha-cli_arm64:1.6.0
+docker tag voltha-ofagent:latest iecedge/voltha-ofagent_arm64:1.6.0
+docker tag voltha-netconf:latest iecedge/voltha-netconf_arm64:1.6.0
+docker tag voltha-envoy:latest iecedge/voltha-envoy_arm64:1.6.0
+docker tag voltha-alarm-generator:latest iecedge/voltha-alarm-generator_arm64:1.6.0
+docker tag voltha-ponsim:latest iecedge/voltha-ponsim_arm64:1.6.0
--- /dev/null
+From 9108849f974a6513027b2cb80f64e5ee0f22a9fe Mon Sep 17 00:00:00 2001
+From: jialv01 <Jianlin.Lv@arm.com>
+Date: Wed, 10 Apr 2019 14:23:31 +0800
+Subject: [PATCH] pin pynacl to 1.1.2 recent version fail to install
+
+pin pynacl to 1.1.2, Recent versions of pynacl, specifically 1.2.0, 1.2.1, and 1.3.0 fail to install
+
+Signed-off-by: jialv01 <Jianlin.Lv@arm.com>
+---
+ requirements.txt | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/requirements.txt b/requirements.txt
+index 5f2cfd2..004a069 100755
+--- a/requirements.txt
++++ b/requirements.txt
+@@ -63,6 +63,7 @@ etcd3==0.7.0
+ pyparsing==2.2.0
+ packaging==17.1
+ pexpect==4.6.0
++pynacl==1.1.2
+
+ # python-consul>=0.6.1 we need the pre-released version for now, because 0.6.1 does not
+ # yet support Twisted. Once this is released, it will be the 0.6.2 version
+--
+2.17.1
+
--- /dev/null
+From bc98df909b9551f62fc5777c79f3903fee704bf6 Mon Sep 17 00:00:00 2001
+From: jialv01 <Jianlin.Lv@arm.com>
+Date: Thu, 11 Apr 2019 13:58:56 +0800
+Subject: [PATCH 2/2] Support ponsim arm64 docker image build
+
+Support ponsim arm64 docker image build
+
+Signed-off-by: jialv01 <Jianlin.Lv@arm.com>
+---
+ Makefile | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/Makefile b/Makefile
+index d015bb2..c6ceded 100644
+--- a/Makefile
++++ b/Makefile
+@@ -237,7 +237,7 @@ jenkins-containers: base voltha ofagent netconf consul cli envoy fluentd unum j2
+
+ prod-containers: base voltha ofagent netconf shovel onos dashd cli grafana consul tools envoy fluentd unum j2
+
+-seba-containers: base voltha ofagent netconf shovel onos tester config-push dashd cli portainer envoy alarm-generator test_runner
++seba-containers: base voltha ofagent netconf shovel onos tester config-push dashd cli portainer envoy alarm-generator ponsim test_runner
+
+ containers: base voltha ofagent netconf shovel onos tester config-push dashd cli portainer grafana nginx consul tools envoy fluentd unum ponsim j2 alarm-generator test_runner
+
+--
+2.17.1
+
--- /dev/null
+Subproject commit 017861f7ac6191e501cff9bd01900d0ffe622916
--- /dev/null
+Subproject commit 4c9bf24d5a345d827bd60fd1a691740a3da9a2c9